name: savepal_mobile
description: "SavePal AI Personal Shopper Mobile App - Your AI Money-Saving Buddy"
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.2.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  
  # State Management
  flutter_riverpod: ^2.4.9
  riverpod_annotation: ^2.3.3
  
  # HTTP & API
  dio: ^5.4.0
  retrofit: ^4.0.3
  json_annotation: ^4.8.1
  
  # Local Storage
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  shared_preferences: ^2.2.2
  
  # Authentication
  firebase_auth: ^4.15.3
  firebase_core: ^2.24.2
  google_sign_in: ^6.1.6
  sign_in_with_apple: ^5.0.0
  
  # UI & Design
  flutter_screenutil: ^5.9.0
  cached_network_image: ^3.3.0
  flutter_svg: ^2.0.9
  lottie: ^2.7.0
  shimmer: ^3.0.0
  
  # Navigation
  go_router: ^12.1.3
  
  # Notifications
  firebase_messaging: ^14.7.10
  flutter_local_notifications: ^16.3.0
  
  # Analytics & Crash Reporting
  firebase_analytics: ^10.7.4
  firebase_crashlytics: ^3.4.8
  
  # Permissions
  permission_handler: ^11.1.0
  
  # Image Handling
  image_picker: ^1.0.4
  
  # Voice & Speech
  speech_to_text: ^6.6.0
  flutter_tts: ^3.8.5
  
  # Camera & AR (for future AR features)
  camera: ^0.10.5+5
  
  # Utilities
  intl: ^0.19.0
  url_launcher: ^6.2.2
  package_info_plus: ^4.2.0
  device_info_plus: ^9.1.1
  connectivity_plus: ^5.0.2
  
  # Icons
  cupertino_icons: ^1.0.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  
  # Code Generation
  build_runner: ^2.4.7
  riverpod_generator: ^2.3.9
  retrofit_generator: ^8.0.6
  json_serializable: ^6.7.1
  hive_generator: ^2.0.1
  
  # Linting
  flutter_lints: ^3.0.0
  
  # Testing
  mockito: ^5.4.4

flutter:
  uses-material-design: true
  
  assets:
    - assets/images/
    - assets/icons/
    - assets/animations/
    - assets/fonts/
  
  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/Poppins-Regular.ttf
        - asset: assets/fonts/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Poppins-Bold.ttf
          weight: 700